%define name xosaga-java
%define version 0.2.1
%define release %mkrel 2

%define xosagadir %{_datadir}/%{name}

Name:		%name
Version:	%version
Release:	%release
Summary:	XtreemOS adaptors for SAGA
URL:		http://saga.cct.lsu.edu/
License:	BSD like
BuildRoot:	%{_tmppath}/%{name}-root
Group:		System/Cluster
Source:		%name-%{version}.tar.bz2
BuildRequires:	java-devel
Requires:	dixi-aem-node dixi-aem-server bouncycastle
Requires:	dixi-main dixi-services dixi-vom-rca-node dixi-vom-rca-server
Requires:	dixi-vom-vops dixi-xati xstream cdaclient
Requires:	volife-jardeps
BuildArch:	noarch
# volife-jardeps required for slf4j
#TODO: add jaxb-api.jar jaxb-impl.jar activation.jar  saga-api-1.0.1.jar
# ibis-util-2.1.jar
%description
This is the Java implementation of XOSAGA, an implementation of
SAGA (the Simple API For Grid Applications) with XtreemOS-specific
extensions. It is based on the Java implementation of SAGA developed
at the Vrije Universiteit, Amsterdam.

%prep
%setup -q -n %name-%{version}

perl -pe 's|#!/bin/sh|#!/bin/sh\nJAVA_SAGA_LOCATION=%{xosagadir}|' -i bin/run-saga-app

%build
%ant

%install
%{__rm} -Rf %{buildroot}
%{__mkdir_p} %{buildroot}%{xosagadir}
%{__mkdir_p} %{buildroot}%{xosagadir}/bin
%{__mkdir_p} %{buildroot}%{_bindir}
%{__mkdir_p} %{buildroot}%{_sysconfdir}/xos/config/

%{__cp} -p bin/run-saga-app %{buildroot}%{_bindir}

%{__cp} -p xosaga.properties.example %{buildroot}%{_sysconfdir}/xos/config/xosaga.properties
%{__cp} -p bin/xtfs_mount_fixed %{buildroot}%{xosagadir}/bin

%{__cp} -a lib %{buildroot}%{xosagadir}

pushd %{buildroot}%{xosagadir}/lib
rm -f aem-node*.jar aem-server*.jar DIXIMain*.jar xati*.jar
for jarfile in aem-node.jar aem-server.jar DIXIMain.jar DIXIMainServices.jar \
	xati.jar
do
  ln -s %{_javadir}/$jarfile .
done
popd

%clean
%{__rm} -Rf %{buildroot}

%files
%defattr(-,root,root)
%doc README.txt INSTALL.txt AUTHORS.txt LICENSE.txt
%config(noreplace) %{_sysconfdir}/xos/config/xosaga.properties
%{_bindir}/run-saga-app
%{xosagadir}/*

